Create a PV plan
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
POST
/v1/projects/{projectId}/pv-plansAuthorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
projectIdstringrequiredmin length 1
Request body
requiredapplication/jsonnamestringmin length 1 · max length 191
originLatnumberrequiredmin -90 · max 90
originLngnumberrequiredmin -180 · max 180
originAddressstring | anyShow propertiesHide properties
Any of:
string
stringany
anybuildingIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anyResponses
201OK
idstringrequiredprojectIdstringrequirednamestringrequiredbuildingIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyoriginLatnumberrequiredoriginLngnumberrequiredoriginAddressstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyisFavoritebooleanrequiredsummaryobject | anyrequiredShow propertiesHide properties
Any of:
object
objectany
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredschemaVersionintegerrequiredmin -9007199254740991 · max 9007199254740991
payloadobjectrequiredRequest
curl -X POST "https://app.bauhow.com/api/v1/projects/string/pv-plans" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"originLat": 0,
"originLng": 0,
"originAddress": "string",
"buildingId": "string"
}'const response = await fetch("https://app.bauhow.com/api/v1/projects/string/pv-plans", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "string",
"originLat": 0,
"originLng": 0,
"originAddress": "string",
"buildingId": "string"
})
});import requests
response = requests.post(
"https://app.bauhow.com/api/v1/projects/string/pv-plans",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"name": "string",
"originLat": 0,
"originLng": 0,
"originAddress": "string",
"buildingId": "string"
},
)Response
{
"id": "string",
"projectId": "string",
"name": "string",
"buildingId": "string",
"originLat": 0,
"originLng": 0,
"originAddress": "string",
"isFavorite": true,
"summary": {},
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z",
"schemaVersion": 0,
"payload": {}
}